#ifndef MINISTORESTATUSFORM_H
#define FORM_H

#include <QDialog>
#include <QMovie>
#include <QTimer>
#include <QMouseEvent>
#include <QSize>
#include "windows.h"
// #include "floatForm.h"
#include "preDefine.h"

namespace Ui {
class MiniStoreStatusForm;
}

class MiniStoreStatusForm : public QDialog
{
    Q_OBJECT

public:
    explicit MiniStoreStatusForm(QWidget *parent = 0);
    ~MiniStoreStatusForm();

protected:
    void mouseMoveEvent(QMouseEvent * event);
    void mousePressEvent(QMouseEvent * event);
    void mouseReleaseEvent(QMouseEvent * event);

private:
    QTimer *m_timer;
    Ui::MiniStoreStatusForm *ui;

    // 记录左键按下去后是否移动过
    bool m_bMouseMove;
    // 记录左键是否按下去
    bool m_bMousePress;
    // 拖动前鼠标坐标
    QPoint m_lastMousePos;
    // 此次拖动一共移动的距离
    QPoint m_absMove;

    /* 功能:初始化
     * 参数:NULL
     * 返回:NULL
     * */
    void _Init();
    void hideForm();

signals:

private slots:
    void on_MiniStoreStatusCloseBtn_clicked();

public slots:
     void onShow(int modStoreStatus, int eleStoreStatus, int mtStoreStatus);

     /* 功能:多渠道门店营业状态显示;
      * 参数:1 [ele开关店状态] 2[MOD开关店状态] 3[MOP开关店状态] 4[MT开关店状态] 5[Curbside开关店状态]
      * 返回:NULL
      * */
     void RefreshStoreStatus(int modStoreStatus=0,  int eleStoreStatus=0, int mtStoreStatus=0);


};

#endif // MINISTORESTATUSFORM_H
